App::Pinto::Command::unregister(3pm)

NAME
App::Pinto::Command::unregister - remove packages from a stack

VERSION
version 0.097

SYNOPSIS
  pinto --root=REPOSITORY_ROOT unregister [OPTIONS] TARGET ...

DESCRIPTION
!! THIS COMMAND IS EXPERIMENTAL !!

This command unregisters packages from a stack, so that they no longer appear in its index. However, the archives that contain the packages will remain in the repository. When unregistering, all the sister packages in the same distribution are also unregistered.

To permanently remove an archive from the repository, use the delete command. To re-register packages on a stack, use the register command.

COMMAND ARGUMENTS
Arguments are the targets that you want to unregister. Targets can be specified as packages (with or without version number) or distributions. For example:

  Foo::Bar                                 # Unregisters any version of Foo::Bar
  Foo::Bar~1.2                             # Unregisters Foo::Bar 1.2 or higher
  SHAKESPEARE/King-Lear-1.2.tar.gz         # Unregisters a specific distribuion

You can also pipe arguments to this command over STDIN. In that case, blank lines and lines that look like comments (i.e. starting with "#" or ';') will be ignored.

COMMAND OPTIONS

--dry-run
    Go through all the motions, but do not actually commit any changes to the repository. Use this option to see how the command would potentially impact the stack.

--force
    Unregister packages even if they are pinned to the stack. Take care when unregistering pinned packages, as it usually means that particular package is important to someone.

--message=TEXT
-m TEXT
    Use TEXT as the revision history log message. If you do not use the "--message" option or the "--use-default-message" option, then you will be prompted to enter the message via your text editor. Use the "EDITOR" or "VISUAL" environment variables to control which editor is used. A log message is not required whenever the "--dry-run" option is set, or if the action did not yield any changes to the repository.

--stack=NAME
    Unregisters the targets from the stack with the given NAME. Defaults to the name of whichever stack is currently marked as the default stack. Use the stacks command to see the stacks in the repository.

--use-default-message
-M  Use the default value for the revision history log message. Pinto will generate a semi-informative log message just based on the command and its arguments. If you set an explicit message with "--message", the "--use-default-message" option will be silently ignored.

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.